diff --git a/data/bash-completion.d/yunohost b/data/bash-completion.d/yunohost
new file mode 100644
index 000000000..106f8fbdf
--- /dev/null
+++ b/data/bash-completion.d/yunohost
@@ -0,0 +1,12 @@
+#
+# Bash completion for yunohost
+#
+
+_python_argcomplete() {
+    local IFS=''
+    COMPREPLY=( $(IFS="$IFS"                   COMP_LINE="$COMP_LINE"                   COMP_POINT="$COMP_POINT"                   _ARGCOMPLETE_COMP_WORDBREAKS="$COMP_WORDBREAKS"                   _ARGCOMPLETE=1                   "$1" 8>&1 9>&2 1>/dev/null 2>/dev/null) )
+    if [[ $? != 0 ]]; then
+        unset COMPREPLY
+    fi
+}
+complete -o nospace -o default -F _python_argcomplete "yunohost"
diff --git a/debian/install b/debian/install
index ca458b688..3b8407635 100644
--- a/debian/install
+++ b/debian/install
@@ -1,4 +1,5 @@
 bin/* /usr/bin/
+data/bash-completion.d/yunohost /etc/bash-completion.d/
 data/actionsmap/* /usr/share/moulinette/actionsmap/
 data/hooks/* /usr/share/yunohost/hooks/
 data/other/* /usr/share/yunohost/yunohost-config/moulinette/
